## postgresql-16-pgroonga 4.0.4

=== Makefile ===
all:
	$(MAKE) -f pgroonga.mk all
	$(MAKE) -f pgroonga-check.mk all
	$(MAKE) -f pgroonga-database.mk all
	$(MAKE) -f pgroonga-wal-applier.mk all
	$(MAKE) -f pgroonga-crash-safer.mk all
	$(MAKE) -f pgroonga-standby-maintainer.mk all
	$(MAKE) -f pgroonga-wal-resource-manager.mk all

clean:
	$(MAKE) -f pgroonga.mk clean
	$(MAKE) -f pgroonga-check.mk clean
	$(MAKE) -f pgroonga-database.mk clean
	$(MAKE) -f pgroonga-wal-applier.mk clean
	$(MAKE) -f pgroonga-crash-safer.mk clean
	$(MAKE) -f pgroonga-standby-maintainer.mk clean
	$(MAKE) -f pgroonga-wal-resource-manager.mk clean

install:
	$(MAKE) -f pgroonga.mk install
	$(MAKE) -f pgroonga-check.mk install
	$(MAKE) -f pgroonga-database.mk install
	$(MAKE) -f pgroonga-wal-applier.mk install
	$(MAKE) -f pgroonga-crash-safer.mk install
	$(MAKE) -f pgroonga-standby-maintainer.mk install
	$(MAKE) -f pgroonga-wal-resource-manager.mk install

installcheck:
	$(MAKE) -f pgroonga.mk installcheck

=== meson_options.txt ===
option('pg_config',
       type: 'string',
       value: '',
       description: 'Path to pg_config')
option('message_pack',
       type: 'feature',
       value: 'auto',
       description: 'Enable MessagePack support')
option('test',
       type: 'boolean',
       value: 'true',
       description: 'Enable test')
option('xxhash',
       type: 'feature',
       value: 'auto',
       description: 'Enable xxHash support')

## postgresql-16-pgroonga 4.0.0

=== debian/changelog ===
postgresql-16-pgroonga (4.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Sun, 09 Feb 2025 10:56:43 -0000

postgresql-16-pgroonga (3.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Mon, 09 Dec 2024 06:09:11 -0000

postgresql-16-pgroonga (3.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 03 Oct 2024 07:45:33 -0000

postgresql-16-pgroonga (3.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Wed, 25 Sep 2024 03:18:10 -0000

postgresql-16-pgroonga (3.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Abe Tomoaki <abe@clear-code.com>  Mon, 05 Aug 2024 08:31:27 -0000

postgresql-16-pgroonga (3.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 04 Jul 2024 05:10:36 -0000

=== debian/control ===
Source: postgresql-16-pgroonga
Section: database
Priority: optional
Maintainer: PGroonga Project <packages@groonga.org>
Build-Depends:
  debhelper (>= 13.14.1),
  libgroonga-dev,
  libmsgpack-dev,
  pkg-config,
  postgresql-server-dev-16
Standards-Version: 4.6.2
Homepage: https://pgroonga.github.io/

Package: postgresql-16-pgroonga
Architecture: any
Conflicts: postgresql-16-pgdg-pgroonga
Depends:
  ${misc:Depends},
  ${shlibs:Depends},
  libgroonga0 (>= 15.0.0),
  postgresql-16
Description: Fast full-text search plugin for PostgreSQL based on Groonga
 PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
 It is based on Groonga full-text search engine.

## postgresql-16-pgroonga 4.0.1

=== debian/changelog ===
postgresql-16-pgroonga (4.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Sutou Kouhei <kou@clear-code.com>  Fri, 14 Feb 2025 02:15:32 -0000

## postgresql-16-pgroonga 4.0.2

=== debian/changelog ===
postgresql-16-pgroonga (4.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 12 Sep 2025 08:29:05 -0000

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
   debhelper (>= 13.14.1),
   libgroonga-dev,
   libmsgpack-dev,
+  libxxhash-dev,
   pkg-config,
   postgresql-server-dev-16
 Standards-Version: 4.6.2
@@ -17,7 +18,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 15.0.0),
+  libgroonga0 (>= 15.1.5),
   postgresql-16
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

=== debian/watch ===
version=3
https://packages.groonga.org/source/pgroonga/pgroonga-(.+).tar.gz

## postgresql-16-pgroonga 4.0.4

=== debian/changelog ===
postgresql-16-pgroonga (4.0.4-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Thu, 02 Oct 2025 04:11:19 -0000

postgresql-16-pgroonga (4.0.3-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Tue, 30 Sep 2025 00:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
   libgroonga-dev,
   libmsgpack-dev,
   libxxhash-dev,
+  meson,
+  ninja-build,
   pkg-config,
   postgresql-server-dev-16
 Standards-Version: 4.6.2
@@ -18,7 +20,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 15.1.5),
+  libgroonga0 (>= 15.1.7),
   postgresql-16
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile-gmake -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure			\
	  --builddirectory=meson-build		\
	  --buildsystem=meson+ninja		\
	  --					\
	  -Dtest=false

override_dh_auto_build:
	dh_auto_build				\
	  --builddirectory=meson-build		\
	  --buildsystem=meson+ninja

override_dh_auto_install:
	dh_auto_install				\
	  --builddirectory=meson-build		\
	  --buildsystem=meson+ninja

## postgresql-16-pgroonga 4.0.5

=== debian/changelog ===
postgresql-16-pgroonga (4.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Horimoto Yasuhiro <horimoto@clear-code.com>  Fri, 12 Dec 2025 06:52:35 -0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Depends:
   ${misc:Depends},
   ${shlibs:Depends},
-  libgroonga0 (>= 15.1.7),
+  libgroonga0 (>= 15.2.1),
   postgresql-16
 Description: Fast full-text search plugin for PostgreSQL based on Groonga
  PGroonga is a PostgreSQL plugin. It provides fast full-text search feature.
